using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HaloObjects;

namespace HaloPlugins.Xbox
{
    public class colo
    {
       public List<MetaNode> Fields = new List<MetaNode>();

       public colo()
       {
           Fields.AddRange(new MetaNode[] {
           new Reflexive("Colors", 48, new MetaNode[] { 
               new String32("Name"),
               new Value("Alpha", typeof(float)),
               new Value("Red", typeof(float)),
               new Value("Green", typeof(float)),
               new Value("Blue", typeof(float)),
           }),
           });
       }
    }
}
